## pathogen 1.1.1

=== Makefile ===
# Pathogen Warrior
#
# Linux Makefile
# Contributed by Ion
#
# $Id: Makefile,v 1.2 2004/07/12 16:05:50 tonic Exp $
# $Revision: 1.2 $

sources := $(wildcard *.cpp)
objects := $(sources:%.cpp=%.o) errormsg.o

all: pathogen

CXXFLAGS := $(shell sdl-config --cflags)
LDFLAGS := $(shell sdl-config --libs) -lSDL_image -lSDL_mixer -lGLU -lGL

pathogen: $(objects)
	$(CXX) $(LDFLAGS) -o $@ $^

.PHONY: clean
clean:
	$(RM) pathogen $(objects)

=== debian/changelog ===
pathogen (1.1.1-7) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS induced by 'Rules-Requires-Root: no'

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 18:47:39 +0200

pathogen (1.1.1-6) unstable; urgency=medium

  * Team upload.
  * Move to Salsa
  * Switch to DebHelper 13
  * Reencode manpage in UTF-8

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 17:58:37 +0200

pathogen (1.1.1-5) unstable; urgency=medium

  * Team upload.
  * Add reproducible-build.patch and make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #845991)
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Sat, 15 Jul 2017 13:35:02 +0200

pathogen (1.1.1-4) unstable; urgency=medium

  * Team upload.
  * pathogen.desktop: Add keywords and a comment in German.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical VCS-URI.
  * Use ball.png as 64x64 pixel icon for pathogen's desktop file.
    (Closes: #726848)
  * Fix Lintian warning missing-license-paragraph-in-dep5-copyright.
  * Add hardening.patch and build with Debian's build flags.

 -- Markus Koschany <apo@debian.org>  Fri, 03 Jun 2016 10:34:37 +0200

pathogen (1.1.1-3) unstable; urgency=low

  * Team Upload.

  [ Paul Wise ]
  * debian/rules: Drop use of dh_desktop since it no longer does anything.

  [ Mahyuddin Susanto ]
  * debian/patches/04-ftbfs-as-needed.patch: Fix FTBFS with ld as-needed.
    Patch from Ubuntu, Thanks to Alex Chiang <achiang@canonical.com>
    (Closes: #641386).
  * debian/control:
    - Bump Standard-Version to 3.9.2, no source changes.
    - Add Homepage field.
    - Drop quilt as Build-Depends.
    - Refresh SVN http viewer.
  * debian/copyright: Refreshed as per dep5
  * Raise debhelper to 7
    - debian/control
    - debian/compat
  * debian/rules: Use simply rules.
  * debian/source/*: Use quilt 3.0 as patch system.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Mon, 05 Dec 2011 16:40:36 +0700

pathogen (1.1.1-2) unstable; urgency=low

  * New Maintainer. (Closes: #461897).
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
  * Add myself to uploaders.
  * Make clean not ignore errors.
  * Add Games Team VCS tags.
  * Fix up copyright file.
  * Add desktop file and call dh_desktop.
  * Add quilt patch system for old source changes.
    + 01_Makefile.diff - Add install: target.
    + 02_fix_paths.diff - Fix paths to data files.
    + 03_errormsg_cpp.diff - New file errormsg.cpp.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Wed, 16 Apr 2008 12:13:25 -0400

pathogen (1.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 14 Jul 2004 00:03:48 +0200

=== debian/control ===
Source: pathogen
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper-compat (= 13),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Rules-Requires-Root: no
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/games-team/pathogen.git
Vcs-Browser: https://salsa.debian.org/games-team/pathogen
Homepage: http://jet.ro/games/prototypes/pathogen-warrior/

Package: pathogen
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Puzzle game about matching 3D model structures
 Pathogen Warrior is a puzzle game about matching 3D model structures with
 a 2D hexagon map. It was one of the entrants to the 4th Ludum Dare 48-hour
 game development competition. The theme of the competition was "Infection".
 In Pathogen Warrior, the player's task is to match rotating 3D pathogen
 structures with a 2D model using a hexagon map. The time to accomplish
 the task is limited, and after successfully completing one pathogen, the
 player is advanced to next level, which has a more challenging pathogen.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pathogen

override_dh_install:
	dh_install
	dh_install debian/pathogen.desktop usr/share/applications
	mkdir -p debian/pathogen/usr/share/icons/hicolor/64x64/apps
	cp data/ball.png debian/pathogen/usr/share/icons/hicolor/64x64/apps/pathogen.png
